cancel
Showing results for 
Search instead for 
Did you mean: 

OpenCL

Highlighted
Journeyman III
Journeyman III

Trouble getting OpenCL to recognize 6990

Ubuntu 11.04 - SDK 2.4 - Catalyst 11.5

I'm having some trouble getting OpenCL to recognize my 6990 in my setup. The driver build goes smootly, the system sees the card, tools like fglrxinfo and aticonfig also see the cards properly. However, after downloading and setting up the SDK, I have no luck seeing the GPUs. CLinfo is only able to detect my CPU. I've tried the setup across several versions of Ubuntu and with different combos of the driver and SDK, always with the same results. Any suggestions to get this running would be greatly appreciated.

 

Tags (2)
0 Kudos
Reply
14 Replies
Highlighted
Adept II
Adept II

Trouble getting OpenCL to recognize 6990

try this - http://forums.amd.com/devforum/messageview.cfm?catid=390&threadid=125792&enterthread=y

Do you happen to forget  :

"You must register the OpenCL ICD; samples and other applications will fail to execute if this 
is not done. To register the ICD, enter (as root):
cd /
tar xfz $ATISTREAMSDKROOT/icd-registration.tgz"

0 Kudos
Reply
Highlighted
Journeyman III
Journeyman III

Trouble getting OpenCL to recognize 6990

Thanks! I hadn't run across this yet but I will give it a shot and see if it works for me.

0 Kudos
Reply
Highlighted
Journeyman III
Journeyman III

Trouble getting OpenCL to recognize 6990

Still getting the same results with the packaged installer as when I attempted it by hand. I have double checked the registration. The package takes care of it automatically, and previously I did always verify that the contents of /etc/OpenCL/vendors/ was correct with the amdocl32 and 64 icd files. 

I've seen through my attempts at getting this up and running that if the registration is not correct, clinfo will not execute at all. Now, it does run but still only manages to detect my CPU and neither GPU.

0 Kudos
Reply
Highlighted
Exemplar
Exemplar

Trouble getting OpenCL to recognize 6990

if you can see CPU device then OpenCL is installed correctly. problem is in catalyst driver.

0 Kudos
Reply
Highlighted
Adept II
Adept II

Trouble getting OpenCL to recognize 6990

As already wrote Nou, you have a problem with the driver. How do you install the driver? I copy the ati-driver-installer-11-5-x86.x86_64.run in your home directory and rename the convenience of "ati.run". Run Ubuntu in recovery mode (or whatever it is exactly, I do not remember, I write from Windows) choose to "resume" and after logging in, enter sudo. / ati.run, enter a password, select "1", more "yes" again "yes "- is being installed, and sudo reboot, reboot and the system works ...

I use Ubuntu from version 9.04 beta, and videos all the time AMD / ATI, in this way always put the driver and had no problems

0 Kudos
Reply
Highlighted
Journeyman III
Journeyman III

Trouble getting OpenCL to recognize 6990

I've tried the driver install both through ubuntu repositories (apt-get install fglrx) as well as downloading the ati installer and running it as you have described. 

I agree at OpenCL seems installed correctly since it detects the CPU. However, if it were a Catalyst driver issue, wouldn't commands like fglrxinfo, or aticonfig --lsa not see the card correctly? Both do report the card, and I am able to use the card to display video if I actually attach a monitor. 

Thanks to both of you for your help so far.

0 Kudos
Reply
Highlighted
Adept II
Adept II

Trouble getting OpenCL to recognize 6990

Specify the configuration of your computer ... the monitor is connected to the HD6990?

0 Kudos
Reply
Highlighted
Exemplar
Exemplar

Trouble getting OpenCL to recognize 6990

each OpenCL SDK need apropiate version of catalyst. IIRC 2.4 need at least version 11.3.

0 Kudos
Reply
Highlighted
Journeyman III
Journeyman III

Trouble getting OpenCL to recognize 6990

Originally posted by: ED1980 Specify the configuration of your computer ... the monitor is connected to the HD6990?

 

Its set up as a server, so generally no, I don't keep monitors connected, only for troubleshooting. Typically access is only remote telnet/ssh

 

each OpenCL SDK need apropiate version of catalyst. IIRC 2.4 need at least version 11.3
 

I am currently working with the 11.5 version, though have tried 11.3 and 11.4 as well with the same results.

0 Kudos
Reply